# acceptance_test_runner.rb

Path: | lib/selenium_on_rails/acceptance_test_runner.rb
Last Update: | Sat Feb 03 22:54:06 +0100 2007

### Required files

net/http tempfile

### Methods

c c_b

### Constants

BROWSERS | = | c :browsers, {}
REUSE_EXISTING_SERVER | = | c :reuse_existing_server, true
START_SERVER | = | c :start_server, false
HOST | = | c :host, 'localhost'
PORTS | = | c(:port_start, 3000)..c(:port_end, 3005)
BASE_URL_PATH | = | c :base_url_path, '/'
TEST_RUNNER_URL | = | c :test_runner_url, '/selenium/TestRunner.html'
MAX_BROWSER_DURATION | = | c :max_browser_duration, 2*60
MULTI_WINDOW | = | c :multi_window, false
SERVER_COMMAND | = | c_b :server_command do server_path = File.expand_path(File.dirname(__FILE__) + '/../../../../../script/server')

### Public Instance methods

c(var, default = nil)

[Source]

       # File lib/selenium_on_rails/acceptance_test_runner.rb, line 7
    7: def c(var, default = nil) SeleniumOnRailsConfig.get var, default end

c_b(var, default = nil) {|| ...}

[Source]

       # File lib/selenium_on_rails/acceptance_test_runner.rb, line 8
    8: def c_b(var, default = nil) SeleniumOnRailsConfig.get(var, default) { yield } end

[Validate]